{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Lists up to 1000 videos from a single request. For a specific range, refer to the optional parameters.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/stream_account_identifier"}},"required":["account_id"],"additionalProperties":false},"query":{"type":"object","properties":{"status":{"$ref":"#/definitions/stream_media_state"},"creator":{"$ref":"#/definitions/stream_creator"},"type":{"$ref":"#/definitions/stream_type"},"asc":{"$ref":"#/definitions/stream_asc"},"video_name":{"$ref":"#/definitions/stream_video_name"},"search":{"$ref":"#/definitions/stream_search"},"start":{"$ref":"#/definitions/stream_start"},"end":{"$ref":"#/definitions/stream_end"},"include_counts":{"$ref":"#/definitions/stream_include_counts"},"id":{"type":"string","examples":["ea95132c15732412d22c1476fa83f27a"],"description":"Filter by video ID(s). Can be a single ID or a comma-separated list of IDs."},"name":{"type":"string","description":"Filter by video name/UID(s). Can be a single name or a comma-separated list."},"live_input_id":{"type":"string","description":"Filter by live input ID to find videos associated with a specific live stream."},"before":{"type":"string","format":"date-time","description":"Alias for 'end'. Returns videos created before this date/time (RFC 3339 format)."},"after":{"type":"string","format":"date-time","description":"Alias for 'start'. Returns videos created after this date/time (RFC 3339 format)."},"limit":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of videos to return (default 1000, max 1000)."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"stream_account_identifier":{"description":"The account identifier tag.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"stream_media_state":{"description":"Specifies the processing status for all quality levels for a video.","type":"string","enum":["pendingupload","downloading","queued","inprogress","ready","error","live-inprogress"],"examples":["inprogress"]},"stream_creator":{"description":"A user-defined identifier for the media creator.","type":"string","maxLength":64,"examples":["creator-id_abcde12345"]},"stream_type":{"description":"Specifies whether the video is `vod` or `live`.","type":"string","examples":["live"]},"stream_asc":{"description":"Lists videos in ascending order of creation.","type":"boolean","default":false,"examples":[true]},"stream_video_name":{"description":"Provides a fast, exact string match on the `name` key in the `meta` field.","type":"string","examples":["puppy.mp4"]},"stream_search":{"description":"Provides a partial word match of the `name` key in the `meta` field. Slow for medium to large video libraries. May be unavailable for very large libraries.","type":"string","examples":["puppy.mp4"]},"stream_start":{"description":"Lists videos created after the specified date.","type":"string","format":"date-time","examples":["2014-01-02T02:20:00Z"]},"stream_end":{"description":"Lists videos created before the specified date.","type":"string","format":"date-time","examples":["2014-01-02T02:20:00Z"]},"stream_include_counts":{"description":"Includes the total number of videos associated with the submitted query parameters.","type":"boolean","default":false,"examples":[true]}}},"name":"List videos","id":"cloudflare.stream-videos-list-videos","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"}},"maxRequests":1,"summary":false}}